Package com.usatiuk.objects.transaction

# Class TxRecord

java.lang.Object
com.usatiuk.objects.transaction.TxRecord

public class TxRecord extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`TxRecord.TxObjectRecord<T>`
`static final record`
`TxRecord.TxObjectRecordDeleted`
`static final record`
`TxRecord.TxObjectRecordWrite<T extends JData>`

## Constructor Summary

Constructors
Constructor
Description
`TxRecord()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TxRecord

public TxRecord()